// test_events.cpp: dfinit le point d'entre pour l'application.
//

#include "stdafx.h"
#include "test_events.h"

#include <WindowsX.h>
HINSTANCE hInst;

INT_PTR CALLBACK MainDlgProc(HWND, UINT, WPARAM, LPARAM);

int APIENTRY _tWinMain(HINSTANCE hInstance,
                       HINSTANCE hPrevInstance,
                       LPTSTR    lpCmdLine,
                       int       nCmdShow)
{
	UNREFERENCED_PARAMETER(hPrevInstance);
	UNREFERENCED_PARAMETER(lpCmdLine);

    hInst = hInstance;

    return DialogBox(hInst, MAKEINTRESOURCE(IDD_TEST_EVENTS_DIALOG), NULL, MainDlgProc);
}

INT_PTR CALLBACK MainDlgProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
	UNREFERENCED_PARAMETER(lParam);
	switch (message)
	{
	    case WM_INITDIALOG:
		    return (INT_PTR)TRUE;

        case WM_LBUTTONDOWN:
            OutputDebugString(_T("WM_LBUTTONDOWN\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_LBUTTONDOWN"));
            break;
        case WM_MBUTTONDOWN:
            OutputDebugString(_T("WM_MBUTTONDOWN\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_MBUTTONDOWN"));
            break;
        case WM_RBUTTONDOWN:
            OutputDebugString(_T("WM_RBUTTONDOWN\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_RBUTTONDOWN"));
            break;
        case WM_LBUTTONUP:
            OutputDebugString(_T("WM_LBUTTONUP\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_LBUTTONUP"));
            break;
        case WM_MBUTTONUP:
            OutputDebugString(_T("WM_MBUTTONUP\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_MBUTTONUP"));
            break;
        case WM_RBUTTONUP:
            OutputDebugString(_T("WM_RBUTTONUP\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_RBUTTONUP"));
            break;
        case WM_LBUTTONDBLCLK:
            OutputDebugString(_T("WM_LBUTTONDBLCLK\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_LBUTTONDBLCLK"));
            break;
        case WM_MBUTTONDBLCLK:
            OutputDebugString(_T("WM_MBUTTONDBLCLK\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_MBUTTONDBLCLK"));
            break;
        case WM_RBUTTONDBLCLK:
            OutputDebugString(_T("WM_RBUTTONDBLCLK\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_RBUTTONDBLCLK"));
            break;
        case WM_MOUSEMOVE:
            OutputDebugString(_T("WM_MOUSEMOVE\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_MOUSEMOVE"));
            break;
        case WM_MOUSEWHEEL:
            OutputDebugString(_T("WM_MOUSEWHEEL\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_MOUSEWHEEL"));
            break;
        case WM_MOUSEHWHEEL:
            OutputDebugString(_T("WM_MOUSEHWHEEL\n"));
            SetWindowText(GetDlgItem(hDlg, IDC_WINDOW_MESSAGES), _T("WM_MOUSEHWHEEL"));
            break;

	    case WM_COMMAND:
        {
		    if (LOWORD(wParam) == IDCANCEL)
		    {
			    EndDialog(hDlg, LOWORD(wParam));
			    return (INT_PTR)TRUE;
		    }
		    break;
        }
	}
	return (INT_PTR)FALSE;
}
